<template>
  <div class="left_1">
    <div class="content">
      <iframe class="content" v-bind:src="reportUrl"></iframe>

      <el-select
        :popper-append-to-body="false"
        v-model="value"
        placeholder="请选择"
        popper-class="selectFrom"
        @change="getValue"
      >
        <el-option
          v-for="item in optionsData"
          :key="item.value"
          :label="item.label"
          :value="item.value"
        >
        </el-option>
      </el-select>
      <el-button
        type="primary"
        icon="el-icon-zoom-in"
        circle
        @click="eject"
      ></el-button>
    </div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  props: {
    optionsData: Array,
  },
  data() {
    //这里存放数据
    return {
      value: "全域化视频监控平台",
      reportUrl:
        "https://172.19.0.28/cas/remoteLogin?username=oa&password=7f5303a2dcfebce8c04a193b3452749eb6a0475add637352455ea1eedd624e1d",
    };
  },
  //方法集合
  methods: {
    eject() {
      this.$emit("getData", this.reportUrl);
    },
    getValue(val) {
      this.reportUrl = val;
    },
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.left_1 {
  overflow: hidden;
  width: 100%;
  height: calc(50vh - 158px);
  // background-color: #bfa;
  box-sizing: border-box;
  padding-bottom: 40px;

  .content {
    width: 100%;
    height: 100%;
    // background: url("../../../assets/img/联动_03.png") no-repeat center;
    // background-size: 100%;
    position: relative;
    .el-button {
      font-size: 60px;
      position: absolute;
      top: 60px;
      left: 40px;
      background-color: #053469;
    }
  }
  .content /deep/.el-select {
    position: absolute;
    top: 60px;
    left: 300px;
    background-color: #053469;
    width: 600px;
    height: 96px;
    .el-input {
      background-color: #053469;
      width: 100%;
      height: 100%;
      .el-input__inner {
        background-color: #053469;
        width: 100%;
        height: 100%;
        color: #fff;
        font-size: 40px;
        border: 0;
      }
      .el-input__suffix {
        padding-right: 28px;
      }
    }
    .selectFrom {
      height: auto;
      .el-select-dropdown__wrap {
        max-height: 500px;
      }
      .el-select-dropdown__item {
        height: auto;
        font-size: 40px !important;
        padding-top: 40px;
        padding-bottom: 40px;
      }
    }
  }
}

@media only screen and (max-width: 2560px) {
  .left_1 {
    .content {
      //   .el-button {
      //     display: none;
      //   }
    }
    // .content /deep/.el-select {
    //   position: absolute;
    //   top: 5%;
    //   left: 88%;
    //   background-color: #053469;
    //   width: 10%;
    //   height: 2.5%;
    //   .el-input {
    //     background-color: #053469;
    //     width: 100%;
    //     height: 100%;
    //     .el-input__inner {
    //       background-color: #053469;
    //       width: 100%;
    //       height: 100%;
    //       color: #fff;
    //       font-size: 40px;
    //       border: 0;
    //     }
    //     .el-input__suffix {
    //       padding-right: 28px;
    //       .el-input__icon {
    //         height: 100%;
    //         width: 0.01827rem;
    //         text-align: center;
    //         -webkit-transition: all 0.3s;
    //         transition: all 0.3s;
    //         line-height: 0.0924rem;
    //       }
    //     }
    //   }
    //   .selectFrom {
    //     height: auto;
    //     .el-select-dropdown__wrap {
    //       max-height: 700px;
    //     }
    //     .el-select-dropdown__item {
    //       height: 100px;
    //       font-size: 40px !important;
    //       padding-top: 40px;
    //       padding-bottom: 40px;
    //     }
    //   }
    // }
  }
}
</style>
